Bug 185293 - WRITE BACK of MegaRAID does not become effective.
WRITE BACK of MegaRAID does not become effective.
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: kernel (Show other bugs)
4.0
x86_64 Linux
medium Severity high
: ---
: ---
Assigned To: Tom Coughlan
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-03-13 07:35 EST by dolphin_lego
Modified: 2012-06-20 09:29 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-20 09:29:38 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description dolphin_lego 2006-03-13 07:35:27 EST
Description of problem:

WRITE BACK of MegaRAID does not become effective.
BIOS of a controller is set by WRITE BACK.
FileSystem in itself moves properly without being broken.

----------------------------/var/log/messages
Feb 27 18:36:15 janus kernel: megaraid cmm: 2.20.2.6 (Release Date: Mon Mar 7
00:01:03 EST 2005)
Feb 27 18:36:15 janus kernel: megaraid: 2.20.4.6 (Release Date: Mon Mar 07
12:27:22 EST 2005)
Feb 27 18:36:15 janus kernel: megaraid: probe new device
0x1000:0x1960:0x1000:0x0520: bus 2:slot 2:func 0
Feb 27 18:36:15 janus kernel: ACPI: PCI interrupt 0000:02:02.0[A] -> GSI 16
(level, low) -> IRQ 169
Feb 27 18:36:15 janus kernel: megaraid: fw version:[1N39] bios version:[G119]
Feb 27 18:36:15 janus kernel: scsi2 : LSI Logic MegaRAID driver
Feb 27 18:36:15 janus kernel: scsi[2]: scanning scsi channel 0 [Phy 0] for
non-raid devices
Feb 27 18:36:15 janus kernel:   Vendor: NEC       Model: GEM318            Rev: 0
Feb 27 18:36:15 janus kernel:   Type:   Processor                          ANSI
SCSI revision: 02
Feb 27 18:36:15 janus kernel: scsi[2]: scanning scsi channel 1 [virtual] for
logical drives
Feb 27 18:36:15 janus kernel:   Vendor: MegaRAID  Model: LD0 RAID1 86101R  Rev: 1N39
Feb 27 18:36:15 janus kernel:   Type:   Direct-Access                      ANSI
SCSI revision: 02
Feb 27 18:36:15 janus kernel: SCSI device sda: 585934848 512-byte hdwr sectors
(299999 MB)
Feb 27 18:36:15 janus kernel: sda: asking for cache data failed
Feb 27 18:36:15 janus kernel: sda: assuming drive cache: write through
Comment 1 Tom Coughlan 2006-03-13 11:50:24 EST
It is not clear whether the write back cache in the megaraid HBA is indeed
disabled, or if the HBA just fails to answer the Mode Sense, Cacheing Page
command correctly. 

Have you tried comparing the board's performance with the BIOS caching parameter
set to Write Back vs. Write Through to see if it may actually be working as
expected?
Comment 2 dolphin_lego 2006-03-14 00:02:10 EST
> Have you tried comparing the board's performance with the BIOS caching parameter
> set to Write Back vs. Write Through to see if it may actually be working as
> expected?


Thank you! 

As for 200%, WRITE BACK worked fast when I checked a performance in WRITE
THROUGH and WRITE BACK. 

A KERNEL message outputs error message for some causes, but seems to move in
WRITE BACK normally.
Comment 3 Jiri Pallich 2012-06-20 09:29:38 EDT
Thank you for submitting this issue for consideration in Red Hat Enterprise Linux. The release for which you requested us to review is now End of Life. 
Please See https://access.redhat.com/support/policy/updates/errata/

If you would like Red Hat to re-consider your feature request for an active release, please re-open the request via appropriate support channels and provide additional supporting details about the importance of this issue.

Note You need to log in before you can comment on or make changes to this bug.